unit UIToolsU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QCSCRBAR, QCBUTTON, OleCtrls, QCGRPBUT;

type
  TForm1 = class(TForm)
    QCGrpButCtrl1: TQCGrpButCtrl;
    QCGrpButCtrl2: TQCGrpButCtrl;
    QCButtonCtrl1: TQCButtonCtrl;
    QCButtonCtrl2: TQCButtonCtrl;
    QCButtonCtrl3: TQCButtonCtrl;
    QCScrBarCtrl1: TQCScrBarCtrl;
    QCScrBarCtrl2: TQCScrBarCtrl;
    procedure FormCreate(Sender: TObject);
  private
  procedure BuildGraph1;
  procedure BuildGraph2;
  procedure BuildGraph3;
  procedure BuildGraph4;
  procedure BuildGraph5;    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
 uses ctwxdef;
{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 	BuildGraph1;
	BuildGraph2;
	BuildGraph3;
	BuildGraph4;
	BuildGraph5;
end;

procedure TForm1.BuildGraph1;
var
   sButtonStrings, CR: string;
begin

 	//number of buttons
	QCGrpButCtrl1.ControlNumButtons  := 5;

	//button direction
	QCGrpButCtrl1.ControlButtonHorizontal  := FALSE;

	//colors
	QCGrpButCtrl1.ControlTitleColor  := RGB_BLACK;
	CR := chr(13); // make CR a carriage return string;
    sButtonStrings := 'Coffee' + CR  + 'Latte' + CR +'Cappucino' + CR + 'Tea' +  CR + 'Cocoa' + CR;

	//button string
	QCGrpButCtrl1.ControllButtonString := sButtonStrings;


end;

procedure TForm1.BuildGraph2;
var
  sButtonStrings, CR: string;
begin
	QCGrpButCtrl2.ControlNumButtons  := 3;
	CR := chr(13); // make CR a carriage return string;
       sButtonStrings := '8 oz' + CR  + '16 oz' + CR +'32 oz';
	QCGrpButCtrl2.ControllButtonString := sButtonStrings;

end;

procedure TForm1.BuildGraph3;
begin
	QCScrBarCtrl1.ControlTitleString  := 'Temperature';
	QCScrBarCtrl1.ControlTop  := 0.3;
	QCScrBarCtrl1.ControlColor  := RGB(255, 0, 0);
end;

procedure TForm1.BuildGraph4;
begin
	QCScrBarCtrl2.ControlTitleString  := 'Strength';
	QCScrBarCtrl2.ControlTop  := 0.15;
end;

procedure TForm1.BuildGraph5;
begin
	QCButtonCtrl1.ControlButtonString  := 'Cinnamon';
	QCButtonCtrl2.ControlButtonString  := 'Chocolate';
	QCButtonCtrl3.ControlButtonString  := 'Whip Cream';

	QCButtonCtrl1.ControlTitleFontSize  := 8;
	QCButtonCtrl1.ControlTitleColor  := RGB_WHITE;
	QCButtonCtrl1.ControlColor  := RGB_GREEN;
	QCButtonCtrl1.ControlButtonLook  := BC_LOOK_HIGH;

	QCButtonCtrl2.ControlTitleFontSize  := 8;
	QCButtonCtrl2.ControlTitleColor  := RGB_WHITE;
	QCButtonCtrl2.ControlColor  := RGB_GREEN;

	QCButtonCtrl3.ControlTitleFontSize  := 8;
	QCButtonCtrl3.ControlTitleColor  := RGB_WHITE;
	QCButtonCtrl3.ControlColor  := RGB_GREEN;

end;

end.
